#
# spec file for package vlmc.spec
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           vlmc
Version:        0.2.0+git20141230
Release:        1.133
Summary:        VideoLAN Movie Creator
License:        GPL-2.0+
Group:          Applications/Multimedia
Url:            https://www.videolan.org/vlmc/
Source0:        vlmc-%{version}.tar.xz
BuildRequires:  cmake >= 2.6.0
BuildRequires:  desktop-file-utils
BuildRequires:  frei0r-plugins-devel
BuildRequires:  libqt4-devel >= 4.5.1
BuildRequires:  vlc-devel >= 1.1.4
Requires:       frei0r-plugins
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
VideoLAN Movie Creator is a non-linear editing software for video creation based on libVLC

%prep
%setup -q


%build
%cmake \
  -DVLMC_LIB_SUBDIR=%{_lib} \
  -DCMAKE_BUILD_TYPE=Release \
  ..

make VERBOSE=1 %{?_smp_mflags}

%install
pushd build
make DESTDIR=%{buildroot} install %{?_smp_mflags}
popd

rm -rf %{buildroot}%{_datadir}/doc

desktop-file-validate \
  %{buildroot}%{_datadir}/applications/vlmc.desktop

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README TRANSLATORS
%{_bindir}/vlmc
%{_mandir}/man1/vlmc.1.*
%{_datadir}/applications/vlmc.desktop
%{_datadir}/pixmaps/vlmc.png

%changelog
* Mon Feb 23 2015 aloisio@gmx.com
- Initial version 0.2.0+git20141230
